"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.endingFilter = void 0;
function endingFilter(path, extensions) {
    return new Promise(function (resolve) {
        var extensionsString = "(" + extensions.join('|') + ")";
        var extensionsRegex = new RegExp("\." + extensionsString + "$");
        var extensionsCheck = extensionsRegex.test(path);
        resolve(extensionsCheck);
    });
}
exports.endingFilter = endingFilter;
exports.default = endingFilter;
//# sourceMappingURL=ending-filter.js.map