"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.includesFilter = void 0;
function includesFilter(path, extensions) {
    return new Promise(function (resolve) {
        for (var _i = 0, extensions_1 = extensions; _i < extensions_1.length; _i++) {
            var extension = extensions_1[_i];
            if (path.includes(extension)) {
                resolve(true);
            }
        }
        resolve(false);
    });
}
exports.includesFilter = includesFilter;
exports.default = includesFilter;
//# sourceMappingURL=includes-filter.js.map