"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.samePathRule = void 0;
function samePathRule(path, extensions) {
    return new Promise(function (resolve) {
        for (var _i = 0, extensions_1 = extensions; _i < extensions_1.length; _i++) {
            var extension = extensions_1[_i];
            var includePath = extension.includes(path);
            var samePath = extension === path;
            if (samePath || includePath) {
                resolve(false);
            }
        }
        resolve(true);
    });
}
exports.samePathRule = samePathRule;
exports.default = samePathRule;
//# sourceMappingURL=same-path-rule.js.map